
create or alter procedure _porcentajeAIU

  @p_id_documento as int = 0

 as
 Begin
 DECLARE @porcentajeAdministracion varchar(1000)
set @porcentajeAdministracion = (select valor from gen_config where config ='porcentajeAdministracion' and active = 1)
 DECLARE @porcentajeImprevistos varchar(1000)
 set @porcentajeImprevistos = (select valor from gen_config where config ='porcentajeImprevistos' and active = 1)
  DECLARE @porcentajeUtilidad varchar(1000)
 set @porcentajeUtilidad =  (select valor from gen_config where config ='porcentajeUtilidad' and active = 1)
 
  select  (subtotalPlaneado * (( cast(@porcentajeAdministracion  as float)/100))) as porcentajeAdministracionPlaneado,
 (subtotalPlaneado * (( cast(@porcentajeImprevistos  as float)/100))) as porcentajeImprevistosPlaneado,
  (subtotalPlaneado * (( cast(@porcentajeUtilidad  as float)/100))) as porcentajeUtilidadPlaneado,
  (total * (( cast(@porcentajeAdministracion  as float)/100))) as porcentajeAdministracionEjecutado,
 (total * (( cast(@porcentajeImprevistos  as float)/100))) as porcentajeImprevistosEjecutado,
  (total * (( cast(@porcentajeUtilidad  as float)/100))) as porcentajeUtilidadEjecutado
    FROM view_doc_documento  where  id = @p_id_documento;
END



